Subject: bug#324 closed by Michael Albinus <[email-masked]> (Re: bug#324: Uniquify Tramp buffers)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#324: Uniquify Tramp buffers

It has been closed by Michael Albinus <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael Albinus <[email-masked]> by
replying to this email.

-- 
324: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=324
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sun Jun  8 04:37:30 2008
From: Michael Albinus <[email-masked]>
To: "Oliver\, Peter \(E.ON IS UK\)" <[email-masked]>
Cc: [email-masked], <[email-masked]>
Subject: Re: bug#324: Uniquify Tramp buffers
Date: Sun, 08 Jun 2008 13:37:19 +0200

"Oliver, Peter (E.ON IS UK)" <[email-masked]> writes:

> Buffer names don't get uniquified correctly when opening the same file
> on multiple hosts with Tramp.  

I've fixed this in `uniquify-get-proposed-name'.

Best regards, Michael.

>From [email-masked] Tue May 27 07:30:11 2008
Content-class: urn:content-classes:message
Subject: Uniquify Tramp buffers
Date: Tue, 27 May 2008 15:29:12 +0100
From: "Oliver, Peter (E.ON IS UK)" <[email-masked]>
To: <[email-masked]>

This is a multi-part message in MIME format.

------_=_NextPart_001_01C8C006.0B615C80
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Buffer names don't get uniquified correctly when opening the same file
on multiple hosts with Tramp. =20

For example, after opening files "/host-a:/tmp/foo" and
"/host-b:/tmp/foo", you get buffers named "foo" and "foo<2>".  I would
expect the buffer names to be something like "host-a:/foo" and
"host-b:/foo" (depending on the value of uniquify-buffer-name-style).

I see this with GNU Emacs 22.2.1.  It used to work as expected with
version 21.
___________________________ Disclaimer Notice ____________________
This message and any attachments are confidential and should only
be read by those to whom they are addressed. If you are not the
intended recipient, please contact us, delete the message from your
computer and destroy any copies. Any distribution or copying without
our prior permission is prohibited.

Internet communications are not always secure and therefore the
E.ON Group does not accept legal responsibility for this message.
The recipient is responsible for verifying its authenticity before
acting on the contents. Any views or opinions presented are solely
those of the author and do not necessarily
represent those of the E.ON Group.

E.ON IS UK Limited, Westwood Way, Westwood Business Park,
Coventry, CV4 8LG.
Registered in England & Wales No. 5617434

Telephone +44 (0) 2476 192000
Fax +44 (0) 2476 42 5432

------_=_NextPart_001_01C8C006.0B615C80
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; charset=3Dus-ascii">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version 6.5.7652.24">
<TITLE>Uniquify Tramp buffers</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/rtf format -->

<P DIR=3DLTR><SPAN LANG=3D"en-gb"></SPAN><SPAN LANG=3D"en-gb"></SPAN><SPAN =
LANG=3D"en-gb"><FONT SIZE=3D2 FACE=3D"Arial">Buffer names don't get uniquif=
ied correctly when opening the same file on multiple hosts with Tramp.&nbsp=
; </FONT></SPAN></P>

<P DIR=3DLTR><SPAN LANG=3D"en-gb"><FONT SIZE=3D2 FACE=3D"Arial">For example=
, after opening files &quot;/host-a:/tmp/foo&quot; and &quot;/host-b:/tmp/f=
oo&quot;, you get buffers named &quot;foo&quot; and &quot;foo&lt;2&gt;&quot=
;.&nbsp; I would expect the buffer names to be something like &quot;host-a:=
/foo&quot; and &quot;host-b:/foo&quot; (depending on the value of uniquify-=
buffer-name-style).</FONT></SPAN></P>

<P DIR=3DLTR><SPAN LANG=3D"en-gb"><FONT SIZE=3D2 FACE=3D"Arial">I see this =
with GNU Emacs 22.2.1.&nbsp; It used to work as expected with</FONT></SPAN>=
<SPAN LANG=3D"en-gb"></SPAN><SPAN LANG=3D"en-gb"></SPAN><SPAN LANG=3D"en-gb=
"><FONT SIZE=3D2 FACE=3D"Arial"> version</FONT></SPAN><SPAN LANG=3D"en-gb">=
</SPAN><SPAN LANG=3D"en-gb"></SPAN><SPAN LANG=3D"en-gb"><FONT SIZE=3D2 FACE=
=3D"Arial"> 21.</FONT></SPAN><SPAN LANG=3D"en-gb"></SPAN><SPAN LANG=3D"en-g=
b"></SPAN><SPAN LANG=3D"en-gb"></SPAN></P>

<pre>___________________________ Disclaimer Notice ____________________
This message and any attachments are confidential and should only
be read by those to whom they are addressed. If you are not the
intended recipient, please contact us, delete the message from your
computer and destroy any copies. Any distribution or copying without
our prior permission is prohibited.

Internet communications are not always secure and therefore the
E.ON Group does not accept legal responsibility for this message.
The recipient is responsible for verifying its authenticity before
acting on the contents. Any views or opinions presented are solely
those of the author and do not necessarily
represent those of the E.ON Group.

E.ON IS UK Limited, Westwood Way, Westwood Business Park,
Coventry, CV4 8LG.
Registered in England &amp; Wales No. 5617434

Telephone +44 (0) 2476 192000
Fax +44 (0) 2476 42 5432
</pre></BODY>
</HTML>
------_=_NextPart_001_01C8C006.0B615C80--